ribbon:
  ReadTimeout: 6000000
  ConnectTimeout: 6000000

spring:
  kafka:
    producer:
      bootstrap-servers: 80.2.22.235:19092
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  jackson:
    serialization:
      write-dates-as-timestamps: false
    #  格式化返回时间 yyyy-MM-dd HH:mm:ss
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://192.168.1.129:33306/mosty_yjzl?autoReconnect=true&failOverReadOnly=false&useUnicode=true&characterEncoding=utf8&useSSL=false&allowMultiQueries=true&rewriteBatchedStatements=true&serverTimezone=Asia/Shanghai
    username: mostyDB1
    password: mostyDBMysql1
    hikari:
      minimum-idle: 10      # ??????????10???0???maximum-pool-size??????maximum-pool-size
      maximum-pool-size: 20 # ??????????0????????10??????1?????minimum-idle??
      idle-timeout: 500000  # ????????????600000?10????????max-lifetime?max-lifetime>0??????0????0???10???????10??
      max-lifetime: 540000  # ????????????0???30??????????30??.?????mysql????????
      connection-timeout: 60000 # ????????????250????????????30?
      connection-test-query: SELECT 1 # ???????????????
  # Redis数据库索引（默认为0）
  redis:
    database: 1
    # Redis服务器地址
    host: 192.168.1.129
    # Redis服务器连接端口
    port: 63799
    # Redis服务器连接密码（默认为空）
    password: redis1994Inferno
    # 连接超时时间（毫秒）
    timeout: 2000
    jedis:
      pool:
        max-active: 50
  messages:
    basename: i18n/messages
    encoding: utf-8

swagger:
  host: 80.155.0.84
  port: 8010

mybatis-plus:
  global-config:
    db-config:
      logic-delete-value: 1 # 逻辑已删除值(默认为 1)
      logic-not-delete-value: 0 # 逻辑未删除值(默认为 0)
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

magic-api:
  web: /magic/web
  #配置文件存储位置。当以classpath开头时，为只读模式
  resource:
    #    location: /data/magic-api
    type: database
    table-name: magic_api  # 数据库中的表名
    prefix: /magic-api  # 前缀
    datasource:
  response-code:
    success: 10000

exclude:
  pathPatterns:
    swagger:
      - /swagger-resources/**
      - /webjars/**
      - /v2/**
      - /swagger-ui.html/**
      - /docs.html/**

config:
  orgCode: 510600000000